<?php

require_once 'constants.php';
require 'vendor/autoload.php'; // Include GuzzleHTTP

use GuzzleHttp\Client;

function getPageAccessToken($userAccessToken) {
    $client = new Client();

    // Graph API endpoint to get page access tokens
    $url = 'https://graph.facebook.com/v15.0/me/accounts';

    // Prepare the query parameters
    $query = [
        'access_token' => $userAccessToken,
    ];

    try {
        // Send the request
        $response = $client->request('GET', $url, ['query' => $query]);

        // Decode the response body
        $body = json_decode($response->getBody(), true);

        // Check if we received page access tokens
        if (isset($body['data'])) {
            // Loop through the pages and find the desired one
            foreach ($body['data'] as $page) {
                echo "Page Name: " . $page['name'] . "\n";
                echo "Page Access Token: " . $page['access_token'] . "\n";
                // You can return or store the access token as needed
            }
        } else {
            throw new Exception('No pages found or user does not have access to any pages.');
        }
    } catch (Exception $e) {
        echo 'Error: ' . $e->getMessage();
    }
}


$auto_userAccessToken = $_GET['code'];

echo "auto_userAccessToken: ". $auto_userAccessToken . "<br>"; 

// Assume you have obtained a user access token somehow
// $userAccessToken = 'EAAFOcxONwI0BOZCyWIQSSXe8BLGfZBf5OXBfdZC3C5qbwrHT8KOTH6nrSuXD1ZAjjCmN5Wd6vknBTSHMy9qu9SvdvQI3M0780IXA5Fdgd548ng1uHEJASuE7CZBPcIAO4LGLvi4BKA1ikNEXxbMzgqNyAZA9Cz0DnSjA2V6lsrxxpVJrJJ4uWzUQVNVB4Ad8OsoYJUdN9x9Dp9ZBVyZCxbFKi2g3ceZCtiT8QCgZDZD';

$userAccessToken = $auto_userAccessToken;

getPageAccessToken($userAccessToken);
